
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "kartrace/version"

Gem::Specification.new do |spec|
  spec.name          = "kartrace"
  spec.version       = Kartrace::VERSION
  spec.authors       = ["Matheus Barbosa"]
  spec.email         = ["matheusb096@gmail.com"]

  spec.summary       = "Gem to parse race log"
  spec.description   = "Gympass interview test that requires a service that reads and parse a race log and show some results"
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 2.0"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency 'pry-byebug'
end
